Name:           directfb
Version:        0.9.22
Release:        0.%{mysig}
Summary:        Graphics abstraction library for the Linux Framebuffer Device

Group:          System/Libraries
License:        GPL
URL:            http://www.directfb.org/
Source:         http://www.directfb.org/download/DirectFB/DirectFB-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libpng-devel
BuildRequires:  zlib-devel
BuildRequires:  libjpeg-devel
BuildRequires:  freetype-devel
BuildRequires:  SDL-devel
# libtool
BuildRequires:  gcc-c++

%define oname   DirectFB

%description
DirectFB is a thin library that provides hardware graphics acceleration,
input device handling and abstraction, integrated windowing system with
support for translucent windows and multiple display layers on top of the
Linux Framebuffer Device.

It is a complete hardware abstraction layer with software fallbacks for
every graphics operation that is not supported by the underlying hardware.
DirectFB adds graphical power to embedded systems and sets a new standard
for graphics under Linux.

%package        devel
Summary:        Development package for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains the static libraries and header files
needed for development with %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
%configure \
	--with-gfxdrivers=ati128,cle266,i810,mach64,matrox,nsc,nvidia,radeon,tdfx \
	--disable-sse \
%ifarch	athlon i686
	--enable-mmx \
%else
	--disable-mmx \
%endif
	--disable-maintainer-mode \
	--enable-shared \
	--enable-static \
	--enable-fast-install \
	--disable-avifile \
	--disable-debug \
	--with-gfxdrivers=\
ati128,cle266,cyber5k,i810,mach64,matrox,\
neomagic,nsc,nvidia,radeon,savage,\
tdfx,unichrome
# no kernel support: radeon, i810, neomagic, savage
# build errors: sis315

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

# because of configure.in defining variables like MODULEDIR, DATADIR, ...
# only a DESTDIR install will work

make DESTDIR=$RPM_BUILD_ROOT install

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_libdir}/libdirectfb-*.so.*
%{_libdir}/libdirect-*.so.*
%{_libdir}/libfusion-*.so.*
%{_libdir}/directfb-%{version}
%{_datadir}/%{name}-%{version}
%{_bindir}/dfbg
%{_bindir}/dfbdump
%{_bindir}/dfbinfo
%{_bindir}/dfblayer
%{_bindir}/dfbscreen
%{_bindir}/dfbsummon
%{_mandir}/man1/dfbg.1*
%{_mandir}/man5/directfbrc.5*

%files devel
%defattr(-,root,root,-)
%doc docs/html/*
%{_bindir}/directfb-config
%{_bindir}/directfb-csource
%{_includedir}/directfb
%{_includedir}/directfb-internal
%{_mandir}/man1/directfb-csource.1*
%{_libdir}/pkgconfig/direct.pc
%{_libdir}/pkgconfig/directfb.pc
%{_libdir}/pkgconfig/directfb-internal.pc
%{_libdir}/pkgconfig/fusion.pc
%{_libdir}/libdirectfb.so
%{_libdir}/libdirect.so
%{_libdir}/libfusion.so
%{_libdir}/libdirectfb.a
%{_libdir}/libdirect.a
%{_libdir}/libfusion.a

%changelog
* Wed Sep 21 2005 Milan Kerslager <kerslage@linux.cz> 0.9.22-0.ker.rhel4
- rebuild for RHEL4 (package from FC4 Extras)

* Thu Jun 30 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.9.22-2
- increment release because of new source upload

* Wed Jun 15 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.9.22-1
- new upstream release
- add libdirect and libfusion shared libraries

* Fri Dec 31 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.9.21-0.fdr.1
- new upstream release
- added new binaries and libraries
- remove epochs

* Fri Jan 02 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0:0.9.20-0.fdr.1: new version

* Sat Sep 13 2003 Thomas Vander Stichele <thomas at apestaart dot org>
- 0:0.9.18-0.fdr.3:
  - readd epochs
  - disable sse, make mmx optional

* Tue Aug 19 2003 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.9.18-0.fdr.2:
  - incorporated Anvil's suggestions

* Sun Jul 06 2003 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.9.18-0.fdr.1: initial rpm release
